/*DDK*************************************************************************/
/*                                                                           */
/* COPYRIGHT (C) Lexmark Corporation, 1989                                   */
/* COPYRIGHT    Copyright (C) 1995 IBM Corporation                           */
/*                                                                           */
/*    The following IBM OS/2 WARP source code is provided to you solely for  */
/*    the purpose of assisting you in your development of OS/2 WARP device   */
/*    drivers. You may use this code in accordance with the IBM License      */
/*    Agreement provided in the IBM Device Driver Source Kit for OS/2. This  */
/*    Copyright statement may not be removed.                                */
/*                                                                           */
/*****************************************************************************/
/**************************************************************************
 *                            Lexmark Confidential
 *
 * SOURCE FILE NAME = PRDNEXTF
 *
 * DESCRIPTIVE NAME = Printer Device Driver external files
 *
 *
 * VERSION
 *
 * DATE
 *
 * DESCRIPTION
 *
 * FUNCTIONS
 *
 * ENTRY POINTS:
 *
 * DEPENDENCIES:
 *
 * NOTES
 *
 *
 * STRUCTURES
 *
 * EXTERNAL REFERENCES
 *
 * EXTERNAL FUNCTIONS
 *
*/

/**********************************************************************/
/* Function headers for new framework.                                */
/**********************************************************************/
/* CON3201
USHORT prdn_CreateSTDSpoolFile ( lpDCI ); */
SHORT prdn_CreateSTDSpoolFile ( lpDCI );                   /* CON3201 */

/* CON3201
USHORT prdp_InitialiseCOMPort ( PSZ,
                                unsigned );
*/

SHORT prdp_InitialiseCOMPort ( PSZ,       /* CON3203 CHANGED USHORT TO SHORT */
                               HMODULE );
/* CON3203
USHORT prdn_ProcessPage( lpDCI );
*/
SHORT prdn_ProcessPage( lpDCI );

USHORT prdn_SendInitAndPage( lpDCI );

USHORT prdn_JobEndFeedOrSIC( lpDCI );

/* USHORT prdn_ClosePrinter( lpDCI ); CON3201 */
SHORT prdn_ClosePrinter( lpDCI );

VOID prdn_our_PrtAbort ( lpDCI );

/* USHORT prdn_CloseDevice( lpDCI ); CON3201 */
SHORT prdn_CloseDevice( lpDCI );

void prdn_WaitForThread( lpDCI );

/* CON3203
USHORT prdn_ProcessLastPage( lpDCI );
*/
SHORT prdn_ProcessLastPage( lpDCI );

USHORT prdn_BandingStopJournalling( lpDCI );

USHORT prdn_BandingDeleteJournal( lpDCI );

USHORT prdn_PrepareNewDocument( lpDCI );

USHORT prdn_PrepareNextPage( lpDCI );

USHORT prdn_AbortTidyUp( lpDCI );

USHORT prdn_write_abort_tidy_up( lpDCI );

/* USHORT prdn_OpenPrinter( lpDCI ); CON3201 */
SHORT prdn_OpenPrinter( lpDCI );

/* CON3201
SHORT prdn_CheckDrawingState( PUSHORT,
                              lpDCI );
*/

SHORT prdn_CheckDrawingState( PULONG,
                              lpDCI );

/* CON3201
USHORT prdn_PrtWrite( lpDCI,
                      PBYTE,
                      USHORT,
                      lpPDBI,
                      USHORT );
*/

SHORT prdn_PrtWrite( lpDCI,
                     PBYTE,
                     ULONG,
                     lpPDBI,
                     ULONG );

/* USHORT prdn_SetEnableDCIDefaults( lpDCI ); CON3201 */
SHORT prdn_SetEnableDCIDefaults( lpDCI );

/* USHORT prdn_SetCompleteOpenDCIDefaults( lpDCI ); CON3201 */
SHORT prdn_SetCompleteOpenDCIDefaults( lpDCI );

/* USHORT prdn_SetStartDocDCIDefaults( lpDCI ); CON3201 */
SHORT prdn_SetStartDocDCIDefaults( lpDCI );

/* USHORT prdn_SetResetDCDCIDefaults( lpDCI ); CON3201 */
SHORT prdn_SetResetDCDCIDefaults( lpDCI );

/* USHORT prdn_SetDCIFlags( lpDCI ); CON3201 */
SHORT prdn_SetDCIFlags( lpDCI );

/* USHORT prdn_SetDCIAttributes( lpDCI ); CON3201 */
SHORT prdn_SetDCIAttributes( lpDCI );

/* CON3203
USHORT prdn_InitialisePrinter( lpDCI );
*/
SHORT prdn_InitialisePrinter( lpDCI );

USHORT prdn_InitPrinterPage1( lpDCI );

USHORT prdn_CardPrompt( lpDCI );

/* CON3203
USHORT prdn_InitPrinterAllPages( lpDCI );
*/
SHORT prdn_InitPrinterAllPages( lpDCI );

VOID prdn_SetDCIXform( lpDCI );          /* PD00073 */




